#navi(../)
*追記(PowerShell 5.0) [#ka15a7db]
&color(red){Windows7にPowerShell ''5.0''をインストールする記事を公開しました。&br;以下のリンクの記事を参照ください。};
-[[Windows7にPowerShell5.0をインストールしてみた>PowerShell/Windows7にPowerShell5.0をインストールしてみた]]

* Windows7にPowerShell4.0をインストールする手順 [#obb81e33]
Windows7 SP1にPowerShell4.0をインストールしたときの手順を以下に記します。


バージョンの確認方法は以下の記事を参考にしてみてください。~
「[[PowerShellのバージョンを確認する方法・$PSVersionTable>PowerShell/PowerShellのバージョンを確認する方法・$PSVersionTable]]」

#contents
#htmlinsertpcsp(win-top.html,win-sp.html)


*関連記事 [#bdcdb49d]
-[[PowerShellのバージョンを確認する方法・$PSVersionTable>PowerShell/PowerShellのバージョンを確認する方法・$PSVersionTable]]
-[[Windows7にPowerShell5.0をインストールしてみた>PowerShell/Windows7にPowerShell5.0をインストールしてみた]]
-[[Windows7にPowerShell3.0をインストールする手順>PowerShell/Windows7にPowerShell3.0をインストールする手順]]

* PowerShell4.0のインストール [#b72c307b]
PowerShell4.0は、[[Windows Management Framework4.0>http://www.microsoft.com/ja-jp/download/details.aspx?id=40855]]にバンドルされています。

** システム要件 [#i3baa01f]
以下、Windows Management Framework 4.0 のURLの抜粋です。~
http://www.microsoft.com/ja-jp/download/details.aspx?id=40855

-''サポートされるオペレーティング システム''
--Windows 7, Windows Embedded Standard 7, Windows Server 2008 R2, Windows Server 2012

-重要~
以下のサーバー アプリケーションを実行しているシステムでは、現時点では Windows Management Framework 4.0 を実行しないようにしてください。
--System Center 2012 Configuration Manager (SP1 を除く)
--System Center Virtual Machine Manager 2008 R2 (SP1 を含む)
--Microsoft Exchange Server 2007
--Windows Small Business Server 2011 Standard

-WMF 4.0 は、以下のオペレーティング システムにのみインストールできます。
--Windows 7 Service Pack 1
--Windows Server 2008 R2 Service Pack 1
--Windows Server 2012

-''Windows 8 を実行しているコンピューターにはインストールできません。''~
Windows PowerShell 4.0 およびこのダウンロード パッケージに含まれる他の機能は、Windows 8.1 の一部として利用可能です。

-WMF 4.0 には Microsoft .NET Framework 4.5 が必要です。~
Microsoft .NET Framework 4.5は以下のURLよりダウンロードできます。~
http://www.microsoft.com/en-us/download/details.aspx?id=30653

他にもシステム要件が記述されているので、上記URLに接続しシステム要件を確認してみてください。

** Windows Management Framework 4.0のダウンロード [#v02fe3b9]
+Windows Management Framework 4.0をインストールするには、Microsoft .NET Framework 4.5のインストールが必要です。~
以下のURLよりダウンロードしてインストールしてください。~
http://www.microsoft.com/en-us/download/details.aspx?id=30653
#br
当方のPCではインストール済みだったので割愛します。~
(コントロールパネルのアンインストールを表示して確認しました。)
#ref(01.gif)
#br
+PowerShell4.0がバンドルされているWindows Management Framework 4.0(WMF4.0)をダウンロードします。~
http://www.microsoft.com/ja-jp/download/details.aspx?id=40855
#br
+ダウンロードボタンを押すと以下の画面が表示されます。~
当方のWindows7は64bitなので、''Windows6.1-KB2819745-x64-MultiPkg.msu''を選択しダウンロードしました。
#ref(02.gif)
#br
+ダウンロードしたファイルを開き実行します。~
しばらくすると以下の画面が表示されるので、はいボタンを押します。
#ref(03.gif)
#br
+ライセンス同意画面が表示されますので、同意するとインストールが開始されます。
#ref(04.gif)
#br
+再起動が必要になります。

*インストール後の確認 [#dc01ec55]
PowerShellを起動してバージョンを確認しました。~
4.0になっているのが確認できます。
 PS C:\Users\sakura> $PSVersionTable
 
 Name                           Value
 ----                           -----
 PSVersion                      4.0
 WSManStackVersion              3.0
 SerializationVersion           1.1.0.1
 CLRVersion                     4.0.30319.18444
 BuildVersion                   6.3.9600.16406
 PSCompatibleVersions           {1.0, 2.0, 3.0, 4.0}
 PSRemotingProtocolVersion      2.2

以上、Windows7にPowerShell4.0をインストールする手順でした。

#htmlinsertpcsp(win-btm.html,win-sp.html)

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS